using DataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.ViewModels
{
	public class ProductionViewModel : IProductionModel
	{
		public int Id { get; set; }
		[DisplayName("Название производства")]
		public string Name { get; set; } = string.Empty;
		[DisplayName("Цена производства")]
		public double Cost { get; set; }
		public int UserId { get; set; }
		public Dictionary<int, IDetailModel> DetailProductions { get; set; } = new();
	}
}
